/*#############################################################
Name: Blackbox V2
Date: 2018-10-..
Original-Author: Viktor Persson
V2-Author: Florian Erdmann

Original-URL: http://arcsin.se
Download from: https://www.free-css.com/

Feel free to use and modify but please provide credits.
#############################################################*/


/* STRUCTURE */

* {
    box-sizing: border-box;
}
body::after {
    content: "";
    clear: both;
    display: table;
}



[class*="col-"] {
    float: left;
    padding: 15px;
}

.col-main {
	border: 3px double #EEE; 
	border-color: #333333; 

	margin-right: 0;
	margin-left: 0; 
	text-align: left;
	font-size: 0.75em;	
	font-style: normal;
	font-family: Helvetica, Arial, sans-serif;	
}


	
/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
	.col-left {
	width: 0%; 
	display: none;
	}
	.col-main {	
	width: 100%;
	}
	.col-right {
	width: 0%;
	display: none;
	}	
	
	article iframe {
	height: 250px;
	}	


}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
	.col-left {
	width: 5%; 
	display: block;
	}
	.col-main {	
	width: 90%;
	}
	.col-right {
	width: 5%;
	display: block;
	}
	
	article iframe {
	height: 300px;
	}	

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
	.col-left {
	width: 10%; 
	display: block;
	}
	.col-main {	
	width: 80%;
	}
	.col-right {
	width: 10%;
	display: block;
	}

	article iframe {
	height: 480px;
	}		


}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
	.col-left {
	width: 20%; 
	display: block;
	}
	.col-main {	
	width: 60%;
	}
	.col-right {
	width: 20%;
	display: block;
	}

	article iframe {
	height: 480px;
	}	

}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
	.col-left {
	width: 30%; 
	display: block;
	}
	.col-main {	
	width: 40%;
	}
	.col-right {
	width: 30%;
	display: block;
	}

	article iframe {
	height: 480px;
	}		


} 
	
	
	
	
	
	
	
/* Standard elements */

a {
	color: #999;
	text-decoration: none;
}




body {
	background-color: #000;
	background-image: url(images/bg.png);
	background-position: left top;
	background-repeat: repeat-x;
	background-size: 1px 100%;
	color: #555;
}


ul {
	margin: 12px 0;
}
li {
	list-style: url(images/li.gif);
	margin-left: 18px;
}
code {
	font: normal 1em "Lucida Sans Unicode",serif;
	background: url(images/bgcode.gif);
	color: #888;
	display: block;
	padding: 3px 6px;
	white-space: pre;
	margin-bottom: 12px;
}







/* Header */
header {
	/*
	background: #222 url(images/IMG_20160918_175953_S.jpg) no-repeat;
	*/
	background-image: url(images/IMG_20260511_141447_2.jpg);
	background-repeat: no-repeat;
	background-color: #000;
	background-size: contain;
	height: 75vh;
	background-position: center center;
	margin-left: auto ;
	margin-right: auto ;
}

header h1 {
	color: #666;
	/*
	font: normal 2.6em Tahoma,sans-serif;
	*/
	font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
	font-style: normal;
	font-size: 5vw;
	padding: 16px 20px;
}






/* Menu */
nav a {
	background: #000 url(images/bgmenu.png) repeat-x;
	border-right: 1px solid #222222;
	border-top: 1px solid #1A1A1A;
	border-bottom: 1px solid #1A1A1A;
	color: #444;
	font-size: 1.4em;
	float: left;
	padding-top: 6px;
	width: 33%; 
	height: 36px;
}
/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
	nav a {font-size: 1.2em;}
}
/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
	nav a {font-size: 1.6em;}	
}
nav a span {
	padding-left: 12px;
}

nav a:hover {
	background-position: left bottom;
	color: #666;
}
nav a:last-child {
	border-right: none;
}












/* Content */

main {
	border: none;
	background-color: transparent;
	clear: both;
}

main img{
	max-width: inherit;
	
}

main h1 {
	margin: 0 0 4px;
	font: bold 1.3em Arial, sans-serif;
	color: #990000;
}

main h2 {
	margin: 0 0 2px;
	font-family:   Georgia, serif;
	font-variant: small-caps;
	font-size: 0.9em;
	color: #666;
}

main h3 {
	margin: 0 0 4px;
	/*
	font: bold 1.2em sans-serif,Arial;
	*/
	font-family: "Trebuchet MS", Helvetica, sans-serif;
	font-size: 1.2em;
	font-style: bold;
	color: #666;
}


main p {
	margin: 0 0 12px;
}

article {
	background: #030303 url(images/bgitem.gif) repeat-x;
	padding: 10px 10px 10px 10px;
	border: 1px dotted #333333;
	
}

article img{
	max-width: 99%;
	display: block;
    margin-left: auto;
    margin-right: auto;
}

article img.inline{
	display: inline;
	max-width: 99%;	
	height: 12px;
	position: relative;
	top: 2px;
	left: 4px;
	right: 4px;
}

article + br, main + br{
	margin-bottom: 50px;
}

article a:hover {
	text-decoration: underline;
	color: #3399ff;
}

article iframe {	
	width: 98%;
	}





/* Footer */

footer {
	padding: 5px;
	background: #0A0A0A;
	color: #666;
	text-align: center;
	height: 30vh;
	border: 3px double #333333;
	min-height: 200px;
	
} 

footer iframe {		
	width: 100%;
	border-style: none;
	margin-top: 4vh;
	
}








/* Misc */

blockquote {
	margin-bottom: 12px;
	font: normal 1.1em "Lucida Sans Unicode",serif;
	background: url(images/quote.gif) no-repeat;
	padding-left: 28px;
	color: #666;
}

strong.ultra {
	text-transform: uppercase;
	text-decoration: underline;
	color: #ac5353;
	
	
}

strong.mega {	
	color: #ac5353;
	
	
}

p.center {
	text-align: center;
	/*margin: auto;*/
	
}

img.icon{
	max-height: 20px;
	max-width: 20px;	
}

div.note{
	margin-bottom: 6px;
	font: normal 0.7em "Lucida Console", Monaco, monospace;
	color: #666;
}

video{	
	width: 100%;
}

h2.edit{
	color: #cccccc;
	font-style: italic;
	text-align: right;
	font-variant: normal;
}


/*Links als Buttons*/
a.knopf:link, a.knopf:visited {
    background-color: #f44336;
    color: white;
    padding: 14px 25px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
}

a.knopf:hover, a.knopf:active {
    background-color: red;
}






/* Dropdown-Menu */
button.dropbtn {
    background-color: #ff99ff;
    color: white;
    padding: 4px;
    font-size: 8px;
    border: none;	
}

button.dropbtn:hover, .dropbtn:focus {
    background-color: #ff33ff;
}

div.menu {
    position: relative;
    display: inline-block;
    float: right;
	visibility: hidden;
}

.menuitem {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 320px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    right: 0;    
}

.show {	display: block;	}



div.menuitem a {
    color: black;
    padding: 4px 6px;
    text-decoration: none;
    display: block;
}

div.menu a:hover {
	background-color: #ffccff;
	}



/* Ansichtsmenü */
div.view {
	float: left;	
}
div.view a:hover{
	background-color: #2eb82e;	
	color: #444;
	text-decoration: underline;    
}
div.view a.act{
		
	color: #444;
	text-shadow: 2px 1px #2eb82e;
}
div.view a.pas{
		
	color: #444;
	text-shadow: none;
}







